| textedit.h | Header File

Header File Index

Routines to access the text editor

Functions

TE_checkSlack
  Reallocates the text editor buffer if there is not much space left in it.
TE_close
  Closes the text editor.
TE_empty
  Empties the text editor buffer.
TE_focus
  Highlightes the selected text in the editor, and gives the focus to it.
TE_handleEvent
  Dispatches an event to the text editor to be processed by it.
TE_indicateReadOnly
  Indicates read-only mode of the editor.
TE_isBlank
  Check whether the editor buffer is empty.
TE_open
  Initializes the text editor.
TE_openFixed
  Initializes the text editor, with fixed buffer.
TE_pasteText
  Pastes a text into the editor.
TE_reopen
  Re-opens the text editor.
TE_reopenPlain
  Re-opens the text editor (plain).
TE_select
  Selects a block of text in the editor, or positions the cursor.
TE_shrinkWrap
  Shrinks the text editor buffer.
TE_unfocus
  Removes the focus from the selected text in the editor.
TE_updateCommand
  Updates the command byte in the current line of the text.

Constants

TE_FAR_RIGHT
  A constant defining the last cursor position in TE_open.

Predefined Types

Bool
  An enumeration to describe true or false values.
ETE_FLAGS
  Enumerates optional features for the TE_open function.
EVENT
  A structure describing an event message.
HANDLE
  Represents a handle associated with an allocated memory block.
SCR_RECT
  A scructure for defining a rectangular area.
SCR_STATE
  A structure for saving the state of the graphics system.
size_t
  A type to define sizes of strings and memory blocks.
TEXT_EDIT
  A structure used to coordinate all text editor operations.
WIN_RECT
  A structure for defining a rectangular area.
WINDOW
  The main window-describing structure.